%define major_c 7
%define libname %mklibname %{name} %{major_c}
%define develname %mklibname -d %{name}

Summary:	Libraries to use the Unidata network Common Data Form (netCDF)
Name:		netcdf
Version:	4.3.3.1
Release:	%mkrel 1
Group:		Development/Libraries
License:	NetCDF
URL:		http://www.unidata.ucar.edu/software/netcdf/
Source0:	http://www.unidata.ucar.edu/downloads/netcdf/ftp/netcdf-%{version}.tar.xz
Patch2:		netcdf-4.2.1.1-pkgconfig.patch
Requires(post): info-install
Requires(postun): info-install
BuildRequires:  hdf5-devel
BuildRequires:  libcurl-devel
BuildRequires:  zlib-devel
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	groff

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 

%package -n	%{libname}
Summary:	C libraries for netcdf-4
Group:		System/Libraries
Provides:	lib%{name} = %{version}

%description -n	%{libname}
This package contains the netCDF-4 C libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-4
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 4.0
Conflicts:	%{name} < 4.1

%description -n %{develname}
This package contains the netCDF-4 header files, shared devel libs, and 
man pages.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-shared --disable-static \
		--enable-netcdf-4 \
		--enable-dap \
           	--enable-extra-example-tests \
		--disable-dap-remote-tests

%make


%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYRIGHT README.md RELEASE_NOTES.md
%{_bindir}/ncgen
%{_bindir}/ncgen3
%{_bindir}/ncdump
%{_bindir}/nccopy
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/libnetcdf.so.%{major_c}*
%{_libdir}/libnetcdf.settings

%files -n %{develname}
%{_bindir}/nc-config
%{_includedir}/*.h
%{_libdir}/*.so
%{_mandir}/man3/*.3*
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jul 16 2018 adrianomorselli <adrianomorselli> 4.3.3.1-1uplos2018
- new version
- new gcc
